Payout wallets

Get Contractor Wallet Balance

Reads the USDC balance of any address on Ethereum or Base via env-configured RPC.

GEThttps://api.toku.com/hris/get-contractor-wallet-balance

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/hris/get-contractor-wallet-balance?walletAddress=%3CwalletAddress%3E&chainId=%3CchainId%3E' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "symbol": "string",
    "balance": "string",
    "balanceFormatted": "string",
    "contractAddress": "string"
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

walletAddressstringrequired

Allowed: matches ^0x[a-fA-F0-9]{40}$

chainIdintegerrequired

Response

200Successful response
symbolstringrequired
balancestringrequired

Allowed: matches ^-?\d+(\.\d+)?$

balanceFormattedstringrequired
contractAddressstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits